I think this was the wrong list to use for this question, so I&#39;ve forwarded it to the GHC list. Please ignore this and accept my apologies.<br><br>Iain<br><br><div class="gmail_quote">2009/6/30 Iain Barnett <span dir="ltr">&lt;<a href="mailto:iainspeed@gmail.com">iainspeed@gmail.com</a>&gt;</span><br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">I&#39;m trying to install HTTP-3000.0.0 (because I don&#39;t have cabal-install, and it&#39;s a dependency for cabal-install 0.4.9)<br>
<br>This is on a Debian 5.1 machine with GHC 6.8.2 and 6.8.3 on it.<br><br>The command:<br>
sudo runghc Setup configure -p &amp;&amp; sudo runghc Setup build &amp;&amp; sudo runghc Setup install<br><br>The error:<br>Could not find module `Data.Array.MArray&#39;:<br>      it is a member of package array-0.1.0.0, which is hidden<br>

<br>ghc-pkg does list the hidden package.<br><br>I&#39;ve seen other threads on this &quot;hiding&quot; problem and searched through the GHC user guide, but I haven&#39;t actually found a solution, just explanation. I&#39;ve tried sending the -package flag through to GHC by adding it to the runghc command, but I&#39;m not doing this right, obviously.<br>

<br>Would someone be able to point me in the right direction? It would be much appreciated.<br><font color="#888888"><br><br>Iain<br><br>
</font></blockquote></div><br>